<div class="col-lg-12 animated fadeInRight">

    <div class="wrapper wrapper-content animated fadeInRight">
        <div class="row">
            <div class="col-lg-12">
                <div class="ibox float-e-margins">
                    <div class="ibox-title">
                        <h3>
                            <strong>Shukran Transactions</strong>
                        </h3>
                        <div class="fm-row">
                            <div class="row">
                                <div class="fm-row">
                                    <div class="col-xs-3 custom-position">
                                        <input [(ngModel)]="search" name="search" (keydown.enter)="getShukranTransactions()"
                                            autocomplete="off" class="form-control input-sm-3" placeholder="Search Customer Phone" />
                                    </div>
                                    <div class="col-xs-3 custom-position">
                                        <input [(ngModel)]="unique_order_id" name="unique_order_id" (keydown.enter)="getShukranTransactions()"
                                            autocomplete="off" class="form-control input-sm-3" placeholder="Unique Order Id" />
                                    </div>
                                    <div class="col-xs-3 custom-position">
                                        <input [(ngModel)]="start" name="startDate"
                                            [owlDateTimeTrigger]="dtPicker1" [owlDateTime]="dtPicker1"
                                            placeholder="Start Date" class="form-control"
                                            (ngModelChange)="dateCalc()">
                                        <i aria-hidden="true" class="fa fa-calendar" style="font-size: 20px;float: right;"
                                            [owlDateTimeTrigger]="dtPicker1"></i>
                                        <owl-date-time [pickerMode]="'dialog'" #dtPicker1></owl-date-time>
                                    </div>
                                    <div class="col-xs-3 custom-position">
                                        <input [(ngModel)]="end" name="endDate" [min]="start"
                                            [owlDateTimeTrigger]="dtPicker2" [owlDateTime]="dtPicker2"
                                            placeholder="End Date" class="form-control"
                                            (ngModelChange)="dateCalc()">
                                        <i aria-hidden="true" class="fa fa-calendar" style="font-size: 20px;float: right;"
                                            [owlDateTimeTrigger]="dtPicker2"></i>
                                        <owl-date-time [pickerMode]="'dialog'" #dtPicker2></owl-date-time>
                                    </div>
                                </div>
                                <div class="col-sm-12 text-right" style="padding-top:10px">
                                    <span matTooltip="CSV" style="cursor:pointer">
                                        <img src="assets/img/csv.png" alt="my dtc csv" (click)="getconstantsforcsv()" />
                                    </span>
                                    <button type="get" (click)="getShukranTransactions()" style="padding-left: 15px;"
                                        class="btn btn-sm btn-primary blue">
                                        <i aria-hidden="true" class="fa fa-search"></i>
                                        Search
                                    </button>
                                    <button class="btn btn-sm btn-primary red" style="padding-left: 15px;"
                                        (click)="reset()">
                                        <i aria-hidden="true" class="fa fa-eraser"></i>
                                        Reset filters
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="ibox-content">
                        <div *ngIf="shukranTransactionCount">Total Transactions: {{shukranTransactionCount ? shukranTransactionCount : 0}}</div>
                        <div class="table-responsive">
                            <table aria-describedby="Shukran Transactions" class="table table-striped table-bordered table-responsive">
                                <thead>
                                    <tr>
                                        <th scope="col">Shukran Number</th>
                                        <th scope="col">Customer Name</th>
                                        <th scope="col">Customer Phone</th>
                                        <th scope="col">Unique Order Id</th>
                                        <th scope="col">Price</th>
                                        <th scope="col">Shukran Points</th>
                                        <th scope="col">Transaction Date</th>
                                        <th scope="col">Transaction Status</th>
                                    </tr>
                                </thead>
                                <tbody *ngIf="shukranTransactionCount>0">
                                    <span *ngIf="loader">
                                        <img alt="loader" src="assets/img/loader.gif" class="loader-img" />
                                    </span>
                                    <tr *ngFor="let transaction of shukranTransactionData; let i = index" [attr.data-index]="i">
                                        <ng-container>
                                                <td>{{transaction?.shukran_number }}</td>
                                                <td (click)="goToLink(transaction?.customer_id._id)">{{transaction?.customer_id.firstname}} {{transaction?.customer_id.lastname}}</td>
                                                <td (click)="goToLink(transaction?.customer_id._id)">{{transaction?.customer_id.country_code}}{{transaction?.customer_id.phone_number }}</td>
                                                <td>{{transaction?.unique_order_id}}</td>
                                                <td>{{transaction?.price }}</td>
                                                <td>{{transaction?.shukran_points}}</td>
                                                <td>{{transaction?.cr_at | date: 'dd/MM/yyyy, h:mm:ss a':'GMT'}}</td>
                                                <td>{{transaction && transaction.parsed_res && transaction.parsed_res.initiateTransferResponse && transaction.parsed_res.initiateTransferResponse.message ? transaction.parsed_res.initiateTransferResponse.message : 'Some Error Occured'}}</td>
                                        </ng-container>
                                    </tr>
                                </tbody>
                            </table>
                            <div class="container-fluid" *ngIf="shukranTransactionCount==0">
                                <div class="row">
                                    <div class="dataTables_info1">
                                        <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
                                            No records found
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <br>
                    <div class="container-fluid" *ngIf="shukranTransactionCount>0">
                        <div class="row col-md-12 text-center">
                            <div class="dataTables_info1">
                                <div>
                                    <ngb-pagination [collectionSize]="shukranTransactionCount" (pageChange)="pagingAgent($event)"
                                        [page]="currentPage" [pageSize]="pageSize" aria-label="Default pagination" [maxSize]="5"
                                        [boundaryLinks]="true"></ngb-pagination>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>